LibreOffice: XRemoteContentProviderAcceptor Interface Reference

LibreOffice LibreOffice 26.2 SDK API Reference

Loading...
Searching...
No Matches
XRemoteContentProviderAcceptor Interface Referencepublished

Accept remote content providers that want to make themselves known to the local process. More...

`import "XRemoteContentProviderAcceptor.idl";`

Inheritance diagram for XRemoteContentProviderAcceptor:

## Public Member Functions
boolean | addRemoteContentProvider ([in] string Identifier, [in] com::sun::star::lang::XMultiServiceFactory Factory, [in] sequence< string > Templates, [in] XRemoteContentProviderDoneListener DoneListener)
| Add a remote content provider.
boolean | removeRemoteContentProvider ([in] string Identifier)
| Remove a remote content provider.
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.

## Detailed Description

Accept remote content providers that want to make themselves known to the local process.

Version
  1.0

## Member Function Documentation

## ◆ addRemoteContentProvider()

boolean addRemoteContentProvider | ( | [in] string | Identifier,
|  | [in] com::sun::star::lang::XMultiServiceFactory | Factory,
|  | [in] sequence< string > | Templates,
|  | [in] XRemoteContentProviderDoneListener | DoneListener )

Add a remote content provider.

Parameters

  Identifier | An arbitrary identifier uniquely identifying the remote content provider.
  Factory | A factory through which the remote content provider's UniversalContentBroker service can be instantiated.
  Templates | A sequence of URL templates the remote content provider is willing to handle.
  DoneListener | If not null, the implementation of this interface can—through this callback—tell the calling side that the implementation no longer needs the remote content provider. (And the calling side should call XRemoteContentProviderAcceptor::removeRemoteContentProvider() then.)

To enable connection control, it is recommended that this argument also implements the interface XRemoteContentProviderConnectionControl.

Returns
  true if the remote content provider has successfully been added.

## ◆ removeRemoteContentProvider()

boolean removeRemoteContentProvider | ( | [in] string | Identifier | ) |

Remove a remote content provider.

Parameters

  Identifier | An arbitrary identifier uniquely identifying the remote content provider.

Returns
  true if the remote content provider has successfully been removed.

The documentation for this interface was generated from the following file:

- com/sun/star/ucb/XRemoteContentProviderAcceptor.idl